import React, {useState, useEffect} from 'react';
import { csv, groups } from 'd3';


const csvUrl =
  'https://gist.githubusercontent.com/kragovic/0a214abeb09325158e50cf8ac4382ac0/raw/132107fc0bca801fec9f0c65b0cb57781600dcf5/number_of_onstances.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      d.NumInstances = +d.NumInstances;
      d.Month = new Date(d.Month + 2020)
      return d;
    };
    csv(csvUrl, row).then((data) => {
      setData(data);
    });
  }, []);
  
  return data;
};